### R code from vignette source 'prob.rnw'

###################################################
### code chunk number 1: prob.rnw:48-49
###################################################
library(prob)


###################################################
### code chunk number 2: prob.rnw:70-71
###################################################
tosscoin(1)


###################################################
### code chunk number 3: prob.rnw:75-76
###################################################
tosscoin(3)


###################################################
### code chunk number 4: prob.rnw:81-82
###################################################
rolldie(1)


###################################################
### code chunk number 5: prob.rnw:90-91
###################################################
cards()


###################################################
### code chunk number 6: prob.rnw:105-106
###################################################
urnsamples(1:3, size = 2, replace = TRUE, ordered = TRUE)


###################################################
### code chunk number 7: prob.rnw:112-113
###################################################
urnsamples(1:3, size = 2, replace = FALSE, ordered = TRUE)


###################################################
### code chunk number 8: prob.rnw:119-120
###################################################
urnsamples(1:3, size = 2, replace = FALSE, ordered = FALSE)


###################################################
### code chunk number 9: prob.rnw:126-127
###################################################
urnsamples(1:3, size = 2, replace = TRUE, ordered = FALSE)


###################################################
### code chunk number 10: prob.rnw:169-173
###################################################
nsamp(n=3, k=2, replace = TRUE, ordered = TRUE)
nsamp(n=3, k=2, replace = FALSE, ordered = TRUE)
nsamp(n=3, k=2, replace = FALSE, ordered = FALSE)
nsamp(n=3, k=2, replace = TRUE, ordered = FALSE)


###################################################
### code chunk number 11: prob.rnw:184-187
###################################################
n = c(11,7,31)
k = c(3,4,3)
r = c(FALSE,FALSE,TRUE)


###################################################
### code chunk number 12: prob.rnw:189-190
###################################################
x = nsamp(n, k, rep = r, ord = TRUE)


###################################################
### code chunk number 13: prob.rnw:193-194
###################################################
prod(x)


###################################################
### code chunk number 14: prob.rnw:197-198
###################################################
(11*10*9)*(7*6*5*4)*31^3


###################################################
### code chunk number 15: prob.rnw:201-202
###################################################
prod(9:11)*prod(4:7)*31^3


###################################################
### code chunk number 16: prob.rnw:205-206
###################################################
prod(factorial(c(11,7))/factorial(c(8,3)))*31^3


###################################################
### code chunk number 17: prob.rnw:221-224
###################################################
outcomes = rolldie(1)
p = rep(1/6, times = 6)
probspace(outcomes, probs = p)


###################################################
### code chunk number 18: prob.rnw:227-228
###################################################
probspace(1:6, probs = p)


###################################################
### code chunk number 19: prob.rnw:231-232
###################################################
probspace(1:6)


###################################################
### code chunk number 20: prob.rnw:235-236
###################################################
rolldie(1, makespace = TRUE)


###################################################
### code chunk number 21: prob.rnw:244-245
###################################################
probspace(tosscoin(1), probs = c(0.70, 0.30))


###################################################
### code chunk number 22: prob.rnw:258-259
###################################################
iidspace(c("H","T"), ntrials = 3, probs = c(0.7, 0.3))


###################################################
### code chunk number 23: prob.rnw:282-285
###################################################
S = tosscoin(2, makespace = TRUE)
S[1:3, ]
S[c(2,4), ]


###################################################
### code chunk number 24: prob.rnw:288-289
###################################################
S = cards()


###################################################
### code chunk number 25: prob.rnw:291-293
###################################################
subset(S, suit == "Heart")
subset(S, rank %in% 7:9)


###################################################
### code chunk number 26: prob.rnw:296-297
###################################################
subset(rolldie(3), X1+X2+X3 > 16)


###################################################
### code chunk number 27: prob.rnw:307-310
###################################################
x = 1:10
y = 3:7
y %in% x


###################################################
### code chunk number 28: prob.rnw:313-314
###################################################
isin(x,y)


###################################################
### code chunk number 29: prob.rnw:317-319
###################################################
x = 1:10
y = c(3,3,7)


###################################################
### code chunk number 30: prob.rnw:321-323
###################################################
all(y %in% x)
isin(x,y)


###################################################
### code chunk number 31: prob.rnw:326-328
###################################################
isin(x, c(3,4,5), ordered = TRUE)
isin(x, c(3,5,4), ordered = TRUE)


###################################################
### code chunk number 32: prob.rnw:333-335
###################################################
S = rolldie(4)
subset(S, isin(S, c(2,2,6), ordered = TRUE))


###################################################
### code chunk number 33: prob.rnw:356-359
###################################################
S = cards()
A = subset(S, suit == "Heart")
B = subset(S, rank %in% 7:9)


###################################################
### code chunk number 34: prob.rnw:362-366
###################################################
union(A,B)
intersect(A,B)
setdiff(A,B)
setdiff(B,A)


###################################################
### code chunk number 35: prob.rnw:383-386
###################################################
S = cards(makespace = TRUE)
A = subset(S, suit == "Heart")
B = subset(S, rank %in% 7:9)


###################################################
### code chunk number 36: prob.rnw:389-390
###################################################
prob(A)


###################################################
### code chunk number 37: prob.rnw:393-394
###################################################
prob(S, suit == "Heart")


###################################################
### code chunk number 38: prob.rnw:409-412
###################################################
prob(A, given = B)
prob(S, suit=="Heart", given = rank %in% 7:9)
prob(B, given = A)


###################################################
### code chunk number 39: prob.rnw:415-416
###################################################
prob( intersect(A,B) ) / prob(B)


###################################################
### code chunk number 40: prob.rnw:422-424
###################################################
prob( union(A,B) )
prob(A) + prob(B) - prob(intersect(A,B))


###################################################
### code chunk number 41: prob.rnw:427-429
###################################################
prob( intersect(A,B) )
prob(A) * prob(B, given = A)


###################################################
### code chunk number 42: prob.rnw:432-433
###################################################
S = tosscoin(2, makespace = TRUE)


###################################################
### code chunk number 43: prob.rnw:435-437
###################################################
prob(S, toss2 == "H")
prob(S, toss2 == "H", given = toss1=="H")


###################################################
### code chunk number 44: prob.rnw:450-452
###################################################
S = cards(makespace=TRUE)
sim(S, ntrials = 5)


###################################################
### code chunk number 45: prob.rnw:462-465
###################################################
S = tosscoin(2, makespace = TRUE)
sims = sim(S, ntrials = 50000)
empirical(sims)


###################################################
### code chunk number 46: prob.rnw:483-485
###################################################
S = rolldie(3, nsides = 4, makespace = TRUE)
S = addrv(S, U = X1-X2+X3)


###################################################
### code chunk number 47: prob.rnw:488-489
###################################################
S[1:9,]


###################################################
### code chunk number 48: prob.rnw:492-493
###################################################
prob(S, U > 6)


###################################################
### code chunk number 49: prob.rnw:497-500
###################################################
S = addrv(S, FUN = max, invars = c("X1","X2","X3"), name = "V")
S = addrv(S, FUN = sum, invars = c("X1","X2","X3"), name = "W")
S[1:9,]


###################################################
### code chunk number 50: prob.rnw:506-507
###################################################
marginal(S, vars = "V")


###################################################
### code chunk number 51: prob.rnw:510-511
###################################################
marginal(S, vars = c("V", "W"))


###################################################
### code chunk number 52: prob.rnw:547-550
###################################################
L = cards()
M = urnsamples(L, 2)
N = probspace(M)


###################################################
### code chunk number 53: prob.rnw:555-559
###################################################
A = subset(N, all(suit=="Heart"))
B = subset(N, any(suit=="Heart"))
C = subset(N, any(suit=="Heart") & all(rank=="A"))
D = subset(N, any(suit=="Spade") & any(rank=="A"))


###################################################
### code chunk number 54: prob.rnw:562-566
###################################################
prob(A)
prob(B)
prob(C, given = D)
prob(D, given = C)


###################################################
### code chunk number 55: prob.rnw:577-580
###################################################
library(combinat)
out = data.frame(t(xsimplex(3,2)))
p = apply(out, MARGIN = 1, FUN = dmultinom, prob = c(1,1,1))


###################################################
### code chunk number 56: prob.rnw:582-583
###################################################
S = probspace(out, p)


###################################################
### code chunk number 57: prob.rnw:597-600
###################################################
x = rep(c("Red", "Blue"), times = c(4,10))
P = urnsamples(x, size = 3, replace = FALSE, ordered = FALSE)
Q = probspace(P)


###################################################
### code chunk number 58: prob.rnw:607-608
###################################################
noorder(Q)


###################################################
### code chunk number 59: prob.rnw:611-612
###################################################
dhyper(0:3, 4, 10, 3)


